Support » Plugin: All In One WP Security & Firewall » Still locked out I am afraid

  • Hi again,

    Finally found a solution to the permissions problem. I have set up one of the sites with the AIOWPS solution and it is now working fine.

    However, I still cannot get into this site. When I try to use the rest plugin it tries to take me to a page but I get this message:

    Sorry, you are not allowed to access this page.

    The page is:

    https://xorex.rocks/wp-admin/options-general.php?page=aiowps_reset_settings_plugin_options

    I have removed AIOWPS yet again and reinstalled it but the same thing keeps happening as it tries to redirect me to the short name I entered for the site I copied the config file from as the alternative for the wp-admin link.

    No matter what I try I cannot get in and need to be able to delete the config file I copied to the new site but cannot find where it is or how to remove it. Is it locked away in one of the databases? If you can let me know where it is I can delete it and get back in.

    Thanks,

    Geoff

    The page I need help with: [log in to see the link]

Viewing 12 replies - 1 through 12 (of 12 total)
  • Plugin Contributor mbrsolution

    (@mbrsolution)

    Hi, did you try the reset addon I mentioned in your other support thread?

    Regards

    Thread Starter geoffatmm

    (@geoffatmm)

    My apologies. I did not notice the typo. The rest plugin is actually your reset plugin. As I say it redirects me to a page that says:

    Sorry, you are not allowed to access this page.

    Can you not just tell me where on my server it is hiding the forwarding information for the wp-admin link? The second site is also not working now as I renamed that link but when I try to use it it gives me:

    Not Found
    The requested URL was not found on this server.

    When I try wp-admin I get:

    Not available.

    I have had to ftp in and turn AIOWPS off.

    Geoff

    Thread Starter geoffatmm

    (@geoffatmm)

    BTW, after renaming the directory and accessing the site, if I activate AIOWPS it appears to find the directory and give the same problem. I have to go back in via ftp and rename the directory again to clear it.

    Plugin Contributor mbrsolution

    (@mbrsolution)

    Hi, it looks like you are having too many issues with our plugin. The following documentation remove-all-in-one-wp-security-database-tables should help you remove all the plugins tables and entries from your database.

    Let me know if the above helps you.

    Thank you

    Thread Starter geoffatmm

    (@geoffatmm)

    Thanks. Will do but at the moment I am having apache issues after trying to upgrade php and cannot see any of the sites!

    As soon as that is resolved I will try as you suggest.

    Geoff

    Plugin Contributor mbrsolution

    (@mbrsolution)

    Hi Geoff, make sure you have the required extensions for WordPress. The following link can help you.

    https://make.wordpress.org/hosting/handbook/handbook/server-environment/#php-extensions

    Regards

    Thread Starter geoffatmm

    (@geoffatmm)

    Thanks for that lead. I have found missing modules and installed successfully:

    mbstring
    imagick
    zip
    ssh2

    These are now listed when I run php -m

    I could not install php7.3-libsodium or php7.3-mcrypt

    I installed php-libsodium and php-crypt and although the installation went through php -m does not list them for my current 7.3 version.

    It does list them both for the 7.0 version (which is what the apache server was defaulting to and I was trying to change). Libsodium is not in 7.1, 7.2 or 7.3 and mcrypt is not in the listing for 7.2 or 7.3. Have they been deprecated or is there another way to install them? I searched apt for them but it returns nothing for these versions.

    Geoff

    Thread Starter geoffatmm

    (@geoffatmm)

    OK I loaded php-sodium and it triggers 7.0 and 7.1 but not 7.2 and 7.3. also, I notice there is not php.ini file for versions 7.2 or 7.3 (or 7.4).

    Virtualmin lists these versions (7.2, 7.3 and 7.4 but they do not appear to be active. Should I try to reinstall them?

    Geoff

    Plugin Contributor mbrsolution

    (@mbrsolution)

    Hi,

    Virtualmin lists these versions (7.2, 7.3 and 7.4 but they do not appear to be active. Should I try to reinstall them?

    I guess you can try, but I know what type of server are you running. I think you should speak to your host about this issue,

    Kind regards

    Thread Starter geoffatmm

    (@geoffatmm)

    It is a VPS so the host does nothing to support it, all down to me!

    I will keep searching and get back when I need more help form your side. Thanks for all the help so far.

    Geoff

    Thread Starter geoffatmm

    (@geoffatmm)

    Not sure what has happened as I enter a reply last night and it is not here. Instead I have an error message of:

    ERROR: Are you sure you wanted to do that?

    Hopefully this will now post.

    Thread Starter geoffatmm

    (@geoffatmm)

    OK it seems to be working again.

    I have sorted the PHP issue for now and all the websites are running again.

    Despite this, AIOWPS is still not writing to the .htaccess file. It manages to update the database tables but not the files.

    I ran the reset plugin but clicked on settings on the plugin information and that is why I got the message:

    “Sorry, you are not allowed to access this page.”

    When I reread your instructions I used the left side links and it worked (it reset the databases etc.) however, the .htaccess file is not being written to so all changes made in the AIOWPS plugin are not properly recorded and it does not work still. An ongoing permissions problem.

    I have completely wiped the virtual server I was using and am reinstalling it from scratch and will post the results.

    Geoff

    • This reply was modified 11 months, 3 weeks ago by geoffatmm.
    • This reply was modified 11 months, 3 weeks ago by geoffatmm.
Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘Still locked out I am afraid’ is closed to new replies.